﻿.loaderWrap {
    position: fixed;
    inset: 0;
    background: transparent;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 15px;
    z-index: 9999;
    background: #04334d;
}

.loaderLogo {
    width: 240px;
    margin: 0 auto;
    position: relative;
    overflow: hidden;
}

    .loaderLogo img {
        max-width: 100%;
    }
        /* spinner */
        .loaderLogo img.img_1 {
            position: absolute;
            width: 100%;
            transform: rotate(0deg);
            animation: spin_12 2s infinite linear;
        }

        .loaderLogo img.img_2 {
            transform: rotate(360deg);
            animation: spin_2 1s infinite linear;
            /*   animation-duration: 1.1s;
    animation-name: twinkle; */
        }

@keyframes spin_1 {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(-360deg);
    }
}

@keyframes spin_2 {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(-180deg);
    }
}

.loaderBar {
    height: 4px;
    width: 130px;
    --c: no-repeat linear-gradient(#009cb1 0 0);
    background: var(--c), var(--c), #062231;
    background-size: 60% 100%;
    animation: l16 3s infinite;
}

@keyframes l16 {
    0% {
        background-position: -150% 0,-150% 0
    }

    66% {
        background-position: 250% 0,-150% 0
    }

    100% {
        background-position: 250% 0, 250% 0
    }
}

/*  @keyframes twinkle {
    20% {
      transform: scale(0.5);
      opacity: 0.2;
    }
  } */


